%define pkg irdma
%define version 1.13.43
%define release 1
%global kernel 5.10.134-17.an23

Summary: irdma driver
Name: kmod-%{pkg}
Version: %{version}
Release: %{release}%{?dist}
License: GPLv2
Group: System Environment/Kernel
Source: %{name}-%{version}.tar.gz


BuildRequires: rdma-core
BuildRequires: python3-docutils perl-generators python3-Cython python3-devel
BuildRequires: bash cmake gcc libnl3-devel libudev-devel make pkgconfig valgrind-devel
BuildRequires: kernel = %{kernel} 
BuildRequires: kernel-devel = %{kernel} 

Requires: kernel-modules-extra = %{kernel}
Requires: kernel = %{kernel}
Requires: kernel-core = %{kernel}

ExclusiveArch: x86_64 aarch64
%define debug_package %{nil}

%description
Suitable for E810 and X722 Intel ®  Linux * RDMA Driver for Ethernet Controller

# prep #########################################################################
%prep
%autosetup -p1

# build ########################################################################
%build
export KSRC=/usr/src/kernels/%{kernel}.%{_arch}
export BUILD_KERNEL=%{kernel}.%{_arch}
bash build.sh noinstall

# install ######################################################################
%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/lib/modules/%{kernel}.%{_arch}/extra/irdma/
find src -name *.ko | while read line
do
	cp $line %{buildroot}/lib/modules/%{kernel}.%{_arch}/extra/irdma/
done

%post

%preun


%postun


# files ########################################################################
%files
/lib/modules/%{kernel}.%{_arch}/extra/irdma/irdma.ko

# changelog  ###################################################################
%changelog
* Sun Jul 7 2024 Kaiqiang Wang <wangkaiqiang@inspur.com> - 1.13.43-1
- add irema driver
